#ifndef SBK_MAINAPPLICATIONWRAPPER_H
#define SBK_MAINAPPLICATIONWRAPPER_H

#include <mainapplication.h>


// Argument includes
#include <QList>
#include <QString>
#include <autofill.h>
#include <bookmarks.h>
#include <browserwindow.h>
#include <cookiejar.h>
#include <desktopnotificationsfactory.h>
#include <downloadmanager.h>
#include <history.h>
#include <mainapplication.h>
#include <networkmanager.h>
#include <pluginproxy.h>
#include <qbytearray.h>
#include <qcoreevent.h>
#include <qmetaobject.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qurl.h>
#include <qwebenginedownloadrequest.h>
#include <qwebenginesettings.h>
#include <qwidget.h>
#include <qzcommon.h>
#include <searchenginesmanager.h>
#include <sitesettingsmanager.h>
namespace PySide { class DynamicQMetaObject; }

class MainApplicationWrapper : public MainApplication
{
public:
    MainApplicationWrapper(const MainApplicationWrapper &) = delete;
    MainApplicationWrapper& operator=(const MainApplicationWrapper &) = delete;
    MainApplicationWrapper(MainApplicationWrapper &&) = delete;
    MainApplicationWrapper& operator=(MainApplicationWrapper &&) = delete;

    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event_protected(::QEvent * arg__1) { return QApplication::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool notify(::QObject * arg__1, ::QEvent * arg__2) override;
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~MainApplicationWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[8] = {false, false, false, false, false, false, false, false};
};

#  ifndef SBK_QAPPLICATIONWRAPPER_H
#  define SBK_QAPPLICATIONWRAPPER_H

// Inherited base class:
class QApplicationWrapper : public QApplication
{
public:
    QApplicationWrapper(const QApplicationWrapper &) = delete;
    QApplicationWrapper& operator=(const QApplicationWrapper &) = delete;
    QApplicationWrapper(QApplicationWrapper &&) = delete;
    QApplicationWrapper& operator=(QApplicationWrapper &&) = delete;

    QApplicationWrapper(int & argc, char ** argv, int arg__3 = QCoreApplication::ApplicationFlags);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event_protected(::QEvent * arg__1) { return QApplication::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool notify(::QObject * arg__1, ::QEvent * arg__2) override;
    void * resolveInterface_protected(const char * name, int revision) const { return QApplication::resolveInterface(name, revision); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QApplicationWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[8] = {false, false, false, false, false, false, false, false};
};

#  endif // SBK_QAPPLICATIONWRAPPER_H

#  ifndef SBK_QGUIAPPLICATIONWRAPPER_H
#  define SBK_QGUIAPPLICATIONWRAPPER_H

// Inherited base class:
class QGuiApplicationWrapper : public QGuiApplication
{
public:
    QGuiApplicationWrapper(const QGuiApplicationWrapper &) = delete;
    QGuiApplicationWrapper& operator=(const QGuiApplicationWrapper &) = delete;
    QGuiApplicationWrapper(QGuiApplicationWrapper &&) = delete;
    QGuiApplicationWrapper& operator=(QGuiApplicationWrapper &&) = delete;

    QGuiApplicationWrapper(int & argc, char ** argv, int arg__3 = QCoreApplication::ApplicationFlags);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event_protected(::QEvent * arg__1) { return QGuiApplication::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool notify(::QObject * arg__1, ::QEvent * arg__2) override;
    void * resolveInterface_protected(const char * name, int revision) const { return QGuiApplication::resolveInterface(name, revision); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QGuiApplicationWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[8] = {false, false, false, false, false, false, false, false};
};

#  endif // SBK_QGUIAPPLICATIONWRAPPER_H

#  ifndef SBK_QCOREAPPLICATIONWRAPPER_H
#  define SBK_QCOREAPPLICATIONWRAPPER_H

// Inherited base class:
class QCoreApplicationWrapper : public QCoreApplication
{
public:
    QCoreApplicationWrapper(const QCoreApplicationWrapper &) = delete;
    QCoreApplicationWrapper& operator=(const QCoreApplicationWrapper &) = delete;
    QCoreApplicationWrapper(QCoreApplicationWrapper &&) = delete;
    QCoreApplicationWrapper& operator=(QCoreApplicationWrapper &&) = delete;

    QCoreApplicationWrapper(int & argc, char ** argv, int arg__3 = QCoreApplication::ApplicationFlags);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event_protected(::QEvent * arg__1) { return QCoreApplication::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    bool notify(::QObject * arg__1, ::QEvent * arg__2) override;
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    void * resolveInterface_protected(const char * name, int revision) const { return QCoreApplication::resolveInterface(name, revision); }
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QCoreApplicationWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[8] = {false, false, false, false, false, false, false, false};
};

#  endif // SBK_QCOREAPPLICATIONWRAPPER_H

#  ifndef SBK_QOBJECTWRAPPER_H
#  define SBK_QOBJECTWRAPPER_H

// Inherited base class:
class QObjectWrapper : public QObject
{
public:
    QObjectWrapper(const QObjectWrapper &) = delete;
    QObjectWrapper& operator=(const QObjectWrapper &) = delete;
    QObjectWrapper(QObjectWrapper &&) = delete;
    QObjectWrapper& operator=(QObjectWrapper &&) = delete;

    QObjectWrapper(::QObject * parent = nullptr);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QObjectWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[7] = {false, false, false, false, false, false, false};
};

#  endif // SBK_QOBJECTWRAPPER_H

#endif // SBK_MAINAPPLICATIONWRAPPER_H
